=== debian/changelog ===
gkrellm-multiping (2.0.15-1) unstable; urgency=low

  * New upstream release
  * ipv6 support

 -- Jindrich Makovicka <makovick@gmail.com>  Wed, 06 Oct 2010 19:18:25 +0200

gkrellm-multiping (2.0.12-1) unstable; urgency=low

  * New upstream release
  * ported to GtkTreeView

 -- Jindrich Makovicka <makovick@gmail.com>  Sun, 15 Oct 2006 20:06:58 +0200

gkrellm-multiping (2.0.11-1) unstable; urgency=low

  * Initial release.

 -- Jindrich Makovicka <makovick@kmlinux.fjfi.cvut.cz>  Sat, 17 Dec 2005 14:44:33 +0100
