=== debian/control ===
Source: gkrellm-multiping
Section: x11
Priority: optional
Maintainer: Jindrich Makovicka <makovick@gmail.com>
Build-Depends: debhelper (>= 4.1.0), gkrellm, libgtk2.0-dev
Standards-Version: 3.6.1.1

Package: gkrellm-multiping
Architecture: any
Depends: gkrellm, ${shlibs:Depends}
Description: GkrellM Multiping Plugin
 Can ping multiple hosts at once and display their status
 and current trip time
